## changed-file 4.1.6

=== debian/changelog ===
changed-file (4.1.6) stable; urgency=low

  * "del" => "undef"
  * "Echt"-Tests hinzugefügt

 -- Matthias Urlichs <smurf@noris.de>  Fri, 22 Feb 2008 15:30:14 +0100

changed-file (4.1.5) stable; urgency=low

  * RT#402434: zu viele Änderungen gemeldet, bei Change in Zeile 2

 -- Matthias Urlichs <smurf@noris.de>  Wed, 20 Feb 2008 15:56:51 +0100

changed-file (4.1.4) stable; urgency=low

  * RT#396523: Verwende File::Temp
  * Lock-Objekt explizit löschen, um die Lockdatei freizugeben

 -- Matthias Urlichs <smurf@noris.de>  Wed, 30 Jan 2008 11:00:56 +0100

changed-file (4.1.2) oldstable; urgency=low

  * changed-file: -v-option (verbose) hinzugefügt.
    (war dokumentiert aber nicht implementiert)

 -- Matthias Urlichs <smurf@noris.de>  Wed, 14 Nov 2007 13:37:37 +0100

changed-file (4.1.1) stable; urgency=low

  * Manpage geupdatet.

 -- Matthias Urlichs <smurf@noris.de>  Wed, 31 Oct 2007 15:40:14 +0100

changed-file (4.1) stable; urgency=low

  * Changed to use Algorithm::Diff::Cheap (included).
    - saves memory.

 -- Matthias Urlichs <smurf@noris.de>  Wed, 19 Sep 2007 11:40:19 +0200

changed-file (4.0-1) stable; urgency=low

  * Recompiled for etch.

 -- Hardy Kestin <hardy@noris.net>  Wed, 13 Jun 2007 14:03:55 +0200

changed-file (0.3-1) stable; urgency=medium

  * New Upstream Release by smurf. (RT#292976)
   - debian/control: +Depends: libalgorithm-diff-perl
   - changed-file ruft jetzt nicht mehr dreimal "diff" auf, sondern macht
     alles intern, in *einem* Durchgang. => braucht weniger Resourcen.
   - Der Anteil der geänderten Zeilen wird korrekt berücksichtigt,
     nicht die Größe des diff-Output in Relation zur Gesamtdatei (was je
     nach Kontext wild unterschiedliche Resultate liefern kann)
   - Es gibt jetzt ein Test-Flag, das Output generiert, anstatt zu mailen. 

 -- Hardy Kestin <hardy@noris.net>  Wed, 11 Oct 2006 14:33:47 +0200

changed-file (0.2-3) stable; urgency=low

  * Changed Makefile.
  * Changed dist, arch and Section.

 -- Hardy Kestin <hardy@noris.net>  Thr, 12 Apr 2004 16:12:00 +0200

changed-file (0.2-2) unstable; urgency=low

  * Added manpage.

 -- Hardy Kestin <hardy@noris.net>  Thr, 12 Apr 2004 16:12:00 +0200

changed-file (0.2-1) unstable; urgency=low

  * Splitted off from noris-server.

 -- Hardy Kestin <hardy@noris.net>  Wed, 21 Apr 2004 11:39:57 +0200

## changed-file 4.4

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1/
	pod2man ${DESTDIR}/usr/bin/changed-file ${DESTDIR}/usr/share/man/man1/changed-file.1
	
			
clean:
	rm -f *-stamp

rtest test:
	@perl -I usr/share/perl5 -MTest::Harness -e "runtests('test.pl')"
	@-rm -f testfile
	@cp test/one testfile
	@if perl -I usr/share/perl5 usr/bin/changed-file testfile < test/two ; then false; else true; fi 2>/dev/null
	@cmp testfile test/one
	@perl -I usr/share/perl5 usr/bin/changed-file -c2 testfile < test/two
	@cmp testfile test/two
	@rm testfile

stest:
	env DIFFTRACE=1 perl -I usr/share/perl5 test.pl 2>&1 | less

.PHONY: test

=== debian/changelog ===
changed-file (4.4) jessie; urgency=medium

  * #14463626: remove all /tmp files

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 17 Apr 2015 16:42:47 +0200

changed-file (4.3) jessie; urgency=low

  * #15165770: Fix fürs Anlegen von Dateien

 -- Moritz Lenz <mlenz@noris.net>  Thu, 14 Nov 2013 16:08:10 +0100

changed-file (4.2.1) jessie; urgency=low

  * First Build for jessie (#14951099) 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 20 Sep 2013 11:10:27 +0200

changed-file (4.2) wheezy; urgency=low

  * #14891393: escape nicht-ASCII-Zeichen im Diff

 -- Moritz Lenz <mlenz@noris.net>  Thu, 05 Sep 2013 09:45:54 +0200

changed-file (4.1.18) wheezy; urgency=low

  * #14891393: UTF-8 Header für Mails

 -- Moritz Lenz <mlenz@noris.net>  Wed, 04 Sep 2013 09:57:34 +0200

changed-file (4.1.17) wheezy; urgency=low

  * #14871160: Encoding-Fix in der Manpage

 -- Moritz Lenz <mlenz@noris.net>  Thu, 29 Aug 2013 17:02:46 +0200

changed-file (4.1.16) wheezy; urgency=low

  * #14871160: Neue Option -N für Notizen

 -- Moritz Lenz <mlenz@noris.net>  Thu, 29 Aug 2013 14:05:07 +0200

changed-file (4.1.15) wheezy; urgency=low

  * #14871160: changed-file auf UTF-8 umstellen
  * Entferne den File::ShLock code, stattdessen Abhängigkeit
    auf libshlock-perl

 -- Moritz Lenz <mlenz@noris.net>  Thu, 29 Aug 2013 12:54:19 +0200

changed-file (4.1.14) wheezy; urgency=low

  * #14333385: Setze X-noris-CI-IP-Header in Mails

 -- Moritz Lenz <mlenz@noris.net>  Wed, 24 Apr 2013 12:33:41 +0200

changed-file (4.1.13) wheezy; urgency=low

  * #13391313: Dokumentation angepasst

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 11 Dec 2012 10:22:50 +0100

changed-file (4.1.12) lenny; urgency=low

  * #13391313: changed-file: X-noris-Ticket-AppendKey

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 30 Nov 2012 17:29:34 +0100

changed-file (4.1.11) lenny; urgency=low

  * #11685483: changed-file option zum Rechteerhalt: Das TMP-File soll die
    Rechte erhalten. Im nachhinein wird das atomar verschoben

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 20 Dec 2011 16:37:25 +0100

changed-file (4.1.10) stable; urgency=low

  * #11685483: changed-file option zum diff nur wenn gewünscht

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 16 Dec 2011 14:53:26 +0100

changed-file (4.1.9) stable; urgency=low

  * #11685483: changed-file option zum Rechteerhalt

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 26 Oct 2011 18:08:19 +0200

changed-file (4.1.8) stable; urgency=low

  * #10024238: vernünftige Fehlermeldung für Locking-Fehler

 -- Martin H. Sluka <fany@noris.net>  Wed, 20 May 2009 13:35:15 +0200

changed-file (4.1.7) stable; urgency=low

  * Cleanup: doerror() => do_error()

 -- Matthias Urlichs <smurf@noris.de>  Wed, 20 May 2009 10:55:59 +0200

=== debian/control ===
Source: changed-file
Section: noris/base
Priority: optional
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: changed-file
Architecture: all
Depends: ${shlibs:Depends}, perl, libalgorithm-diff-perl, libshlock-perl
Replaces: noris-server (<=0.1-12)
Conflicts: noris-server (<=0.1-12), changedfile
Description: Track changes in generated configfiles.
 Destroyed configfiles suck! Use changed-file and you are saved!
 Thanks to smurf for inventing such a small and useful tool!

## changed-file 4.6

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f *-stamp
 
 rtest test:
-	@perl -I usr/share/perl5 -MTest::Harness -e "runtests('test.pl')"
+	#@perl -I usr/share/perl5 -MTest::Harness -e "runtests('test.pl')"
 	@-rm -f testfile
 	@cp test/one testfile
 	@if perl -I usr/share/perl5 usr/bin/changed-file testfile < test/two ; then false; else true; fi 2>/dev/null

=== debian/changelog ===
changed-file (4.6) wheezy; urgency=low

  * #21766015: -u3 mögen alte Versionen von diff (2.8.1) nicht, Korrektur: -U3
  # test.pl auskommentiert weil Algorithm::Diff::Cheap nicht mehr vorhanden und nicht mehr benutzt

 -- Klaus Franken <klaus.franken@noris.de>  Tue, 25 Aug 2015 16:10:33 +0200

changed-file (4.5) wheezy; urgency=low

  * #21437625: Verhalten von -c 0 wieder hergestellt

 -- Moritz Lenz <mlenz@noris.net>  Mon, 20 Jul 2015 09:12:39 +0200

changed-file (4.4) jessie; urgency=low

  * NNIS-676: verarbeite auch grosse Dateien

 -- Moritz Lenz <mlenz@noris.net>  Wed, 20 May 2015 14:24:42 +0200

changed-file (4.2.2) jessie; urgency=medium

  * #14463626: remove all /tmp files

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 17 Apr 2015 16:18:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: changed-file
 Architecture: all
-Depends: ${shlibs:Depends}, perl, libalgorithm-diff-perl, libshlock-perl
+Depends: ${shlibs:Depends}, perl, diffutils, libshlock-perl
 Replaces: noris-server (<=0.1-12)
 Conflicts: noris-server (<=0.1-12), changedfile
 Description: Track changes in generated configfiles.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) test
	#/usr/bin/docbook-to-man debian/changed-file.sgml > changed-file.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/changed-file.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/changed-file


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## changed-file 6.0-2

=== debian/changelog ===
changed-file (6.0-2) squeeze; urgency=low

  * squeeze statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 17:13:36 +0100

changed-file (6.0-1) stable; urgency=low

  * First Build for Squeeze 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 16:26:27 +0100

=== debian/control ===
Source: changed-file
Section: noris/base
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: changed-file
Architecture: all
Depends: ${shlibs:Depends}, perl, libalgorithm-diff-perl
Replaces: noris-server (<=0.1-12)
Conflicts: noris-server (<=0.1-12), changedfile
Description: Track changes in generated configfiles.
 Destroyed configfiles suck! Use changed-file and you are saved!
 Thanks to smurf for inventing such a small and useful tool!
